---
orphan: true
---

# Tutorials

The easiest way to get familiar with pertpy is to follow along with our tutorials.
Many are also designed to work seamlessly in Google colab.

:::{note}
For questions about the usage of pertpy use the [scverse discourse](https://discourse.scverse.org/).
:::

### Data transformation

```{eval-rst}
.. nbgallery::

   notebooks/guide_rna_assignment
   notebooks/mixscape
   notebooks/perturbation_space
   notebooks/metadata_annotation
   notebooks/ontology_mapping
```

### Knowledge inference

```{eval-rst}
.. nbgallery::

   notebooks/augur
   notebooks/sccoda
   notebooks/sccoda_extended
   notebooks/tasccoda
   notebooks/milo
   notebooks/dialogue
   notebooks/enrichment
   notebooks/distances
   notebooks/distance_tests
   notebooks/cinemaot
   notebooks/scgen_perturbation_prediction
   notebooks/differential_gene_expression
```

## Use cases

Our use cases showcase a variety of pertpy tools applied to one dataset.
They are designed to give you a sense of how to use pertpy in a real-world scenario.
The use cases featured here are those we present in the pertpy [preprint](https://www.biorxiv.org/content/10.1101/2024.08.04.606516v1).

```{eval-rst}
.. nbgallery::

   notebooks/norman_use_case
   notebooks/mcfarland_use_case
   notebooks/zhang_use_case
```
